pipes.h File Reference
`#include <unistd.h>`
`#include <exception>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes

struct | Cgu::PipeError
class | Cgu::PipeFifo
| A wrapper for unix anonymous pipes. More...
class | Cgu::SyncPipe
| A class which uses an anonymous pipe to synchronise between processes. More...

## Namespaces

| Cgu

## Constant Groups

| Cgu